**Instagram Integration Module for Drupal using the Instagram Graph API**

This module enables integration of Instagram with your Drupal site using the new Instagram Graph API. It allows for displaying Instagram posts with advanced customization options for images, videos, and styling. Since Instagram Basic Display API will soon be deprecated, this module provides an up-to-date integration with the Instagram Graph API.

---

**Instagram Media Module for Drupal**

The Instagram Media module integrates block Instagram content into your Drupal site, allowing you to display Instagram images and videos with customizable settings.

### Key Features:
1. **Token Integration**:
    - Provides a field for pasting an Instagram long-lived access token, essential for connecting to Instagram's API and retrieving media content.

2. **Media Settings**:
    - **Image Style Options**: Allows you to select between no styling, image styling, or responsive image styling for media.
    - **Customizable Image Styles**: If “Image Style” is chosen, you can configure specific image styles for posts and apply separate styles for different posts if needed.
    - **Responsive Image Styles**: If “Responsive Image Style” is enabled (requires the Responsive Image module), you can configure various responsive image styles, with an option to apply different styles to individual posts.
    - **Display Limit**: Set a limit on the number of images or videos to be displayed.
    - **Video Settings**: Option to hide videos or enable autoplay for Instagram videos directly within the feed.

3. **Post Settings**:
    - **Post Captions**: Toggle to display or hide captions for Instagram posts.
    - **View Insights and Links**: Options to show insights (likes, comments, etc.) and links on each post. You can further customize the display of header information with options like “Only Link,” “Tag and Link,” or “Full Instagram Look.”

4. **Styling Settings**:
    - **Swiper Integration**: Enable a swiper for carousel-like navigation through media, with options to display arrows and pagination.
    - **Fancybox Support**: Enable Fancybox for lightbox-style display of media content.
    - **Grid Layouts**: Choose from a range of grid layouts to control the display of Instagram posts, from mobile to desktop views.
    - **Custom CSS**: Option to disable module-provided CSS styles if you want to apply custom styling.
